After updating to 1.4


#1

I was working on the meteor blaze todo app. While i was about to create the login system i saw that meteor 1.4 update is available. Then I updated it. But, then I tried to install the accounts-ui and password packages but showed error. I don’t know why this is exactly happening and I am sure that there were no typos in the command,


#2

What was the error it showed?


#3

F:\meteor Projects\simple-todos>meteor add accounts-ui accounts-password
=> Errors while adding packages:

While loading package npm-bcrypt@0.8.7:
error: Command failed:
C:\Users\Aspire\AppData\Local.meteor\packages\meteor-tool\1.4.0\mt-os.windows.x86_32\dev_bundle\bin\npm.cmd
rebuild --no-bin-links --update-binary
gyp ERR! build error
gyp ERR! stack Error: C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe failed with exit code: 1
gyp ERR! stack at ChildProcess.onExit
(C:\Users\Aspire\AppData\Local.meteor\packages\meteor-tool\1.4.0\mt-os.windows.x86_32\dev_bundle\lib\node_modules\node-gyp\lib\build.js:276:23)
gyp ERR! stack at emitTwo (events.js:87:13)
gyp ERR! stack at ChildProcess.emit (events.js:172:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:200:12)
gyp ERR! System Windows_NT 10.0.10240
gyp ERR! command
"C:\Users\Aspire\AppData\Local\.meteor\packages\meteor-tool\1.4.0\mt-os.windows.x86_32\dev_bundle\bin\node.exe"
“C:\Users\Aspire\AppData\Local\.meteor\packages\meteor-tool\1.4.0\mt-os.windows.x86_32\dev_bundle\lib\node_modules\node-gyp\bin\node-gyp.js”
"rebuild"
gyp ERR! cwd
C:\Users\Aspire\AppData\Local.meteor\packages\npm-bcrypt\0.8.7\npm\node_modules.temp-x3op6c\node_modules\bcrypt
gyp ERR! node -v v4.4.7
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok

npm ERR! Windows_NT 10.0.10240
npm ERR! argv
"C:\Users\Aspire\AppData\Local\.meteor\packages\meteor-tool\1.4.0\mt-os.windows.x86_32\dev_bundle\bin\node.exe"
“C:\Users\Aspire\AppData\Local\.meteor\packages\meteor-tool\1.4.0\mt-os.windows.x86_32\dev_bundle\lib\node_modules\npm\bin\npm-cli.js”
“rebuild” “–no-bin-links” "–update-binary"
npm ERR! node v4.4.7
npm ERR! npm v3.10.5
npm ERR! code ELIFECYCLE
npm ERR! bcrypt@0.8.7 install: node-gyp rebuild
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the bcrypt@0.8.7 install script ‘node-gyp rebuild’.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the bcrypt package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! node-gyp rebuild
npm ERR! You can get information on how to open an issue for this project with:
npm ERR! npm bugs bcrypt
npm ERR! Or if that isn’t available, you can get their info via:
npm ERR! npm owner ls bcrypt
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR!
C:\Users\Aspire\AppData\Local.meteor\packages\npm-bcrypt\0.8.7\npm\node_modules.temp-x3op6c\npm-debug.log
gyp ERR! build error
gyp ERR! stack Error: C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe failed with exit code: 1
gyp ERR! stack at ChildProcess.onExit
(C:\Users\Aspire\AppData\Local.meteor\packages\meteor-tool\1.4.0\mt-os.windows.x86_32\dev_bundle\lib\node_modules\node-gyp\lib\build.js:276:23)
gyp ERR! stack at emitTwo (events.js:87:13)
gyp ERR! stack at ChildProcess.emit (events.js:172:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:200:12)
gyp ERR! System Windows_NT 10.0.10240
gyp ERR! command
"C:\Users\Aspire\AppData\Local\.meteor\packages\meteor-tool\1.4.0\mt-os.windows.x86_32\dev_bundle\bin\node.exe"
“C:\Users\Aspire\AppData\Local\.meteor\packages\meteor-tool\1.4.0\mt-os.windows.x86_32\dev_bundle\lib\node_modules\node-gyp\bin\node-gyp.js”
"rebuild"
gyp ERR! cwd
C:\Users\Aspire\AppData\Local.meteor\packages\npm-bcrypt\0.8.7\npm\node_modules.temp-x3op6c\node_modules\bcrypt
gyp ERR! node -v v4.4.7
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok

npm ERR! Windows_NT 10.0.10240
npm ERR! argv
"C:\Users\Aspire\AppData\Local\.meteor\packages\meteor-tool\1.4.0\mt-os.windows.x86_32\dev_bundle\bin\node.exe"
“C:\Users\Aspire\AppData\Local\.meteor\packages\meteor-tool\1.4.0\mt-os.windows.x86_32\dev_bundle\lib\node_modules\npm\bin\npm-cli.js”
“rebuild” “–no-bin-links” "–update-binary"
npm ERR! node v4.4.7
npm ERR! npm v3.10.5
npm ERR! code ELIFECYCLE
npm ERR! bcrypt@0.8.7 install: node-gyp rebuild
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the bcrypt@0.8.7 install script ‘node-gyp rebuild’.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the bcrypt package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! node-gyp rebuild
npm ERR! You can get information on how to open an issue for this project with:
npm ERR! npm bugs bcrypt
npm ERR! Or if that isn’t available, you can get their info via:
npm ERR! npm owner ls bcrypt
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR!
C:\Users\Aspire\AppData\Local.meteor\packages\npm-bcrypt\0.8.7\npm\node_modules.temp-x3op6c\npm-debug.log

F:\meteor Projects\simple-todos>meteor add accounts-ui accounts-password


#4

I am creating the app on windows 10 64 bit


#5

I am at the same point, but Win7 x64 and using Angular2, but I didn’t “update to 1.4”, just started the Meteor tutorial yesterday, from scratch. Getting the bcrypt error. No obvious way to proceed. Can anyone advise?


#6

Maybe this error caused by cpp compile environment.
You may get some clue from : https://www.npmjs.com/package/windows-build-tools


#7

see this article, seems to work for me


#8

i have the same problem, i install the path, but still problem